// import files
@import 'import';

body {
  background: #324965;
}

a {
  color: $accent-shade;
}

.bg-inverse {
  background: $primary-shade !important;
}

.menu--main {

  .dropdown-menu {
    border-radius: 0;
    margin: -1px;
  }

  li {

    a {
      color: $white;
    }

    &.dropdown-item {

      a {
        color: $black;
      }

      &.active {

        a {
          color: $white;
        }
      }
    }
  }
}

.menu--account li a {
  color: $white;
}

.navbar-dark .navbar-nav .nav-link {
  color: $white;
}

.site-name-slogan a {
  text-decoration: none;
}

.card-group img {
  height: auto;
  margin: 0;
  width: 100%;
}

.card-group .field--type-image {
  margin: 0;
}

.slick {
  width: 100%;
}

.slick > div {
  margin: 0 15px;
}

.vertical-tabs__menu {
  left: 1px;
  margin-top: 5px;
  position: relative;

  .vertical-tabs__menu-item {
    margin-bottom: 0;
    padding: 10px 15px;

    .vertical-tabs__menu-item-title {
      color: #666;
      font-size: .9rem;
      font-weight: normal;
    }
  }
}

.vertical-tabs__panes {
  background: $white;
  border: 1px solid #ddd;
  box-shadow: 0 1px 1px rgba(0, 0, 0, .05);

  .details-wrapper {
    padding: 25px 30px;

    .field {
      font-size: .9rem;
      margin: 0;

      .field__label {
        font-weight: bold;

        &:after {
          content: ':';
        }
      }
    }
  }
}

.sidebar_first {
  background: #f5f5f5;

  h2 {
    border: 0;
    font-size: 1.87rem;
  }

  .block {
    border: 0;
    border-bottom: 1px solid #dee2e6;
  }

  .form-row > fieldset {
    width: 100%;
  }

  .list-group-item {
    background: transparent;
    border: 0;
  }

  fieldset {
    .form-required::after {
      display: none;
    }
  }

  word-break: break-all;
}

.navbar {
  padding: 0;
}

header {
  .menu--account {
    margin-left: auto;
  }

  .nav {
    .nav-link {
      color: #fff;
      padding: 15px;

      &.is-active {
        background-color: #4d86b4;

        &:hover {
          background-color: #4d86b4;
          color: #fff;
        }
      }

      &:hover {
        background-color: #f90;
        color: #fff;

      }
    }
  }
}

.form-required::after {
  background-image: url('../images/required.svg');
  background-repeat: no-repeat;
}

.main-content {
  padding-right: 0;

  @media (max-width: breakpoint-max('sm', $breakpoints: $grid-breakpoints)) {
    padding-left: 0;
  }
}

.custom-theme {
  header {
    background-color: #4a80a5;
    margin-top: 5px;

    > * {
      margin-right: 1rem;
    }

    .title {
      color: $white;
      font-size: 1.2rem;
      margin: 0;
      padding: .6rem 1rem;
    }

    .nav-tabs {
      border-bottom: 0;

      .nav-link {
        border: 0;
        border-radius: unset;
        color: $white;
        padding: 10px 15px;

        &.active {
          background-color: #6496be;
        }
      }
    }
  }

  .custom_content {
    background: #f5f8fb;
    margin-top: 0;
    padding: 1rem .2rem 2rem;

    .vertical-tabs {
      border: 0;
    }

    > .col-12 > .row {
      min-height: 340px;
    }

    .group-employees .row {
      .col-4 {
        border-bottom: 1px solid #4a80a5;
        border-right: 1px solid #4a80a5;
        font-size: 1rem;
        padding: 5px;
        text-align: center;

        &:nth-child(even) {
          background-color: #fff;
        }

        &:nth-child(odd) {
          background-color: #f5f8fb;
        }
      }
    }
  }
}

.view-header {
  h1 {
    background-color: #6496be;
    color: #fff;
    font-size: 1.4rem;
    font-weight: normal;
    margin: 5px 0 0;
    padding: 1em;
  }
}

.view-content {
  > h3 {
    background-color: #4d86b4;
    color: #fff;
    margin: 5px 0;
    padding: 15px;

    a {
      color: #eee;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  .views-row.row {
    margin: 0;
    padding: 15px 10px;

    h3 {
      &.field-content {
        font-size: 1.3em;
      }
    }

    &:nth-child(even) {
      background-color: #fff;
    }

    &:nth-child(odd) {
      background-color: #f5f8fb;
    }
  }
}

.path-node {

  .field--label-above {
    display: block;
  }

  .field__item {
    p {
      margin-bottom: 0;
    }
  }
}

.path-user {
  .custom-theme {

    .field--label-inline {
      .field__label {
        color: $black;
        width: auto;
      }

      .field__item {
        background: transparent;
        border-radius: 0;
        margin: 0;
        padding: 0;
      }
    }

    .field--label-above {
      .field__label {
        color: $black;
        width: auto;
      }

      .field__item {
        background: transparent;
        border-radius: 0;
        margin: 0;
        padding: 0;
      }
    }

    .field__items {

      .field__item {
        margin-left: $spacer;

        &::before {
          background-color: #000;
          border-radius: 50%;
          content: '';
          display: inline-block;
          height: 5px;
          margin-right: $spacer / 2;
          position: relative;
          top: -2px;
          width: 5px;
        }
      }
    }
  }
}


.page-item,
.pager__item--next {

  &:first-child {

    .page-link {
      margin-left: 0;
      @include border-left-radius(0);
    }
  }

  &:last-child {

    .page-link {
      @include border-right-radius(0);
    }
  }

  .page-link {
    font-size: 18px;
  }

}

.add-content-block {
  a {
    font-size: 3em;
    margin-right: .2em;

    &:hover {
      text-decoration: none;
    }
  }
}

.popup {
  background: #6496be;
  left: 50%;
  margin-left: -275px;
  position: absolute;
  top: 130px;
  width: 550px;

  .form-item-headline {
    color: #f5f8fb;
    font-size: 2.3em;
    font-weight: 100;
    padding: 10px 20px 0;
  }

  .popup-body {
    background: #f5f8fb;
    color: #6496be;
    min-height: 200px;
    padding: 20px;
  }

  .form-item-footer {
    color: #f5f8fb;
    font-size: 1em;
    padding: 10px 20px;
  }

  label {
    float: left;
    width: 150px;
  }

  .form-item {
    padding: 3px 0;
  }

  .form-item .form-item label {
    display: none;
  }

  .date-padding {
    padding: 0;
  }

}

@import 'tables';
